Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions
ArgusSamples::IObserverForInterface Class Reference

An observer for an Argus interface. More...

Inheritance diagram for ArgusSamples::IObserverForInterface:

List of all members.

## Public Member Functions
virtual | ~IObserverForInterface ()
virtual bool | isInterface (Argus::Interface *interface) const =0
| Check if this is the observer for the given interface.

## Detailed Description

An observer for an Argus interface.

Definition at line 60 of file Dispatcher.cpp.

## Constructor & Destructor Documentation

virtual ArgusSamples::IObserverForInterface::~IObserverForInterface | ( |  | ) |
| inline virtual

Definition at line 63 of file Dispatcher.cpp.

## Member Function Documentation

virtual bool ArgusSamples::IObserverForInterface::isInterface | ( | Argus::Interface * | interface | ) | const
| pure virtual

Check if this is the observer for the given interface.

Parameters:

  interface | [in]

Implemented in ArgusSamples::DeFogSettingsObserver, ArgusSamples::AutoControlSettingsObserver, ArgusSamples::SourceSettingsObserver, ArgusSamples::EdgeEnhanceSettingsObserver, and ArgusSamples::DenoiseSettingsObserver.

The documentation for this class was generated from the following file:

- modules/Dispatcher.cpp